Debian Bug report logs - #629637
add option to create swap file in image

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Wed, 8 Jun 2011 10:42:02 UTC

Severity: wishlist

Tags: patch

Found in version live-build/3.0~a18-1

Fixed in version live-build/3.0~a21-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#629637; Package live-build. (Wed, 08 Jun 2011 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 08 Jun 2011 10:42:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: add option to create swap file in image
Date: Wed, 8 Jun 2011 11:39:22 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 3.0~a18-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch oneiric

livecd-rootfs has a facility to create an empty swap file on ext2/ext3
images, which Ubuntu's boot scripts then deal with using or deleting as
appropriate at the first boot.  Apparently this cuts three minutes off
the boot time of our preinstalled (jasper-based) images on ARM.

This seems like a sufficiently useful facility (at least relative to
ext2/ext3 images) that it would be nice to have it as options rather
than hooks.  Patch attached.

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[0001-Add-swap-file-path-and-swap-file-size-options.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 13 Jun 2011 18:30:11 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 13 Jun 2011 19:03:11 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 19:03:12 GMT) Full text and rfc822 format available.

Message #12 received at 629637-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 629637-close@bugs.debian.org
Subject: Bug#629637: fixed in live-build 3.0~a21-1
Date: Mon, 13 Jun 2011 19:02:51 +0000
Source: live-build
Source-Version: 3.0~a21-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a21-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a21-1_all.deb
live-build_3.0~a21-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a21-1.debian.tar.gz
live-build_3.0~a21-1.dsc
  to main/l/live-build/live-build_3.0~a21-1.dsc
live-build_3.0~a21-1_all.deb
  to main/l/live-build/live-build_3.0~a21-1_all.deb
live-build_3.0~a21.orig.tar.gz
  to main/l/live-build/live-build_3.0~a21.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629637@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Jun 2011 20:42:13 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a21-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
Closes: 627677 629637 630350
Changes: 
 live-build (3.0~a21-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Obtaining the live passes package selection information at the
     latest point to catch all other modifications in the package
     selection.
   * Moving installation of live packages to second pass.
   * Removing now unecessary stagefile check in lb_source.
   * Correct lb cleans source removals.
 .
   [ Colin Watson ]
   * Add --swap-file-path and --swap-file-size options (Closes: #629637).
   * Divert flash-kernel aside while building the chroot (Closes:
     #630350).
   * Add --initramfs-compression option (Closes: #627677).
Checksums-Sha1: 
 0a8aa2989a2bf98500deab3ba0c96626f9357fa7 1282 live-build_3.0~a21-1.dsc
 8ac7c300a633007324ef45fb9ed96c9d593816e9 1886786 live-build_3.0~a21.orig.tar.gz
 ac0892dfc5bcd305538cdcc5b48927302980c6ad 41818 live-build_3.0~a21-1.debian.tar.gz
 e854dd96a4ad3a9cc4344aff8395f883a3cb2e87 1130664 live-build_3.0~a21-1_all.deb
 7838cde2af8c81cdab30f5a23dffd6ba72a3b6e5 58300 live-build-cgi_3.0~a21-1_all.deb
Checksums-Sha256: 
 0c4bb39620b0f44794630c09c64c0ec05f2eb79957bf94948948ad1ffdb3cf02 1282 live-build_3.0~a21-1.dsc
 dee4a7dcd7fe5756e4fecbd7b717c2c4432897d1ce0fc8020667784e3e17f113 1886786 live-build_3.0~a21.orig.tar.gz
 4dd813d7dd1fed0a5bb5be6162b6d2f6b1aa5792f54184b6a2714d029e30107f 41818 live-build_3.0~a21-1.debian.tar.gz
 4037f117ddf6260a746f492c2c030ec8b8476ac48cd0f62c39cb14528a6cf004 1130664 live-build_3.0~a21-1_all.deb
 88fd284707c3f597d0a8ad23a8e9ca9e0796e85974ee55b8948ed8922f34970f 58300 live-build-cgi_3.0~a21-1_all.deb
Files: 
 f6ea9cf3c272a31b24626a195975bd95 1282 misc optional live-build_3.0~a21-1.dsc
 f683ee2e661e2156c30761cd57f6f31f 1886786 misc optional live-build_3.0~a21.orig.tar.gz
 ca6f697fb711deeec129236e3746d11b 41818 misc optional live-build_3.0~a21-1.debian.tar.gz
 6943373d729a47b72268b218fc2a7a13 1130664 misc optional live-build_3.0~a21-1_all.deb
 5cf3d6ab881424a334e9b5722a908575 58300 misc optional live-build-cgi_3.0~a21-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk32W4EACgkQ+C5cwEsrK54NVQCgp0cuhWAkaFXVrtkZZxFxwBY/
xtIAoLugbKZrYHyPzI66y4518odcJ3hG
=ANaa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Jul 2011 07:37:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:59:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.